YTE(1)

NAME
yte - command line interface for yte

DESCRIPTION
usage: yte [-h] [-r]

Process a YAML file given at STDIN with YTE, and print the result to STDOUT.

    Note: if nothing is provided at STDIN, this will wait forever.

It can be used to process a YTE template from STDIN and prints the rendered version to STDOUT:

    yte < template.yaml > rendered.yaml

OPTIONS

-h, --help
    show this help message and exit

-r, --require-use-yte
    require that the document contains a `__use_yte__: true` statement at the top level. If the statement is not present or false, return document unprocessed (except removing the `__use_yte__: false` statement if present)